@Kirill-Gorelov
С ума с IT

Nmp i puppeteer не устанавливает?

Раньше все было супер. Не за долго удалил папку node_modules(спецально), а сейчас заново устанавливаю все пакеты, ругается при установки пупетиера. Удалил пакет из json файла, другие пакеты установились нормально.
Ставлю отдельно та же самая ошибка. Ни глобально, никак не ставится.
61df27b33bfb9367969655.png

Содержимое файла лог ~/.npm/_logs/2022-01-12T19_06_16_157Z-debug-0.log
Начало лог файла я обрезал, потому что не дает вставить больше.
spoiler

60 timing reifyNode:node_modules/puppeteer/node_modules/ms Completed in 60ms
61 timing reifyNode:node_modules/puppeteer/node_modules/debug Completed in 60ms
62 timing reifyNode:node_modules/puppeteer/node_modules/node-fetch Completed in 61ms
63 timing reifyNode:node_modules/puppeteer Completed in 133ms
64 timing reify:unpack Completed in 134ms
65 timing reify:unretire Completed in 0ms
66 timing build:queue Completed in 1ms
67 info run puppeteer@13.0.1 install node_modules/puppeteer node install.js
68 http fetch POST 200 https://registry.npmjs.org/-/npm/v1/security/advis... 364ms
69 timing auditReport:getReport Completed in 367ms
70 silly audit report {}
71 timing auditReport:init Completed in 0ms
72 timing reify:audit Completed in 368ms
73 info run puppeteer@13.0.1 install { code: 1, signal: null }
74 timing reify:rollback:createSparse Completed in 32ms
75 timing reify:rollback:retireShallow Completed in 1ms
76 timing command:i Completed in 16250ms
77 verbose stack Error: command failed
77 verbose stack at ChildProcess. (/usr/local/lib/node_modules/npm/node_modules/@npmcli/promise-spawn/index.js:64:27)
77 verbose stack at ChildProcess.emit (events.js:400:28)
77 verbose stack at maybeClose (internal/child_process.js:1058:16)
77 verbose stack at Process.ChildProcess._handle.onexit (internal/child_process.js:293:5)
78 verbose pkgid puppeteer@13.0.1
79 verbose cwd /opt/lampp/htdocs/coin/bots
80 verbose Linux 5.4.0-53-generic
81 verbose argv "/snap/node/5782/bin/node" "/usr/local/bin/npm" "i" "puppeteer" "--unsafe-perm=true"
82 verbose node v14.18.3
83 verbose npm v8.3.0
84 error code 1
85 error path /opt/lampp/htdocs/coin/bots/node_modules/puppeteer
86 error command failed
87 error command sh -c node install.js
88 verbose exit 1
89 timing npm Completed in 16406ms
90 verbose unfinished npm timer reify 1642014376310
91 verbose unfinished npm timer reify:build 1642014376701
92 verbose unfinished npm timer build 1642014376701
93 verbose unfinished npm timer build:deps 1642014376701
94 verbose unfinished npm timer build:run:install 1642014376702
95 verbose unfinished npm timer build:run:install:node_modules/puppeteer 1642014376702
96 verbose code 1
97 error A complete log of this run can be found in:
97 error /home/kirill/.npm/_logs/2022-01-12T19_06_16_157Z-debug-0.log



У меня ubuntu 20.04 LTS. Сами пакеты линукса я обновлял перед этим.
  • Вопрос задан
  • 498 просмотров
Пригласить эксперта
Ответы на вопрос 1
vabka
@vabka
Токсичный шарпист
Что-то как-то странно ты устанавливаешь.

Обычно все пакеты устанавливают, путём добавления их в массив dependencies в package.json, за исключением глобальных инструментов, к которым пупитер не относится.

А затем просто пишешь npm i (без всяких дополнений) чтобы все зависимости скачались
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы